%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version	0.70
%define gtk_doc_version         1.4
%define consolekit_version      0.2.1
%define libselinux_version      1.30
%define pam_version             0.99.6

# uid/gid allocated in this bug:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244950
%define polkit_uid              87

Summary: Toolkit for privilege control
Name: PolicyKit
Version: 0.5
Release: 2%{?dist}
License: AFL/GPL
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=PolicyKit.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): /sbin/ldconfig
Requires(pre): /usr/sbin/useradd
Requires(postun): /sbin/ldconfig
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: libselinux-devel >= %{libselinux_version}
BuildRequires: libxslt
BuildRequires: pam-devel >= %{pam_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: ConsoleKit >= %{consolekit_version}
Requires: libselinux >= %{libselinux_version}
Requires: pam >= %{pam_version}

%description 
PolicyKit is a toolkit for defining and handling the policy that
allows unprivileged processes to speak to privileged processes.

%package devel
Summary: Headers and libraries for PolicyKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel
Requires: dbus-devel

%description devel
Headers and libraries for PolicyKit.

%package docs
Summary: Documentation for PolicyKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc

%description docs
Documentation for PolicyKit.

%prep
%setup -q

%build
%configure --docdir=%{_datadir}/doc/%{name}-%{version} --enable-docbook-docs
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -c 'PolicyKit' -u %{polkit_uid} \
	-s /sbin/nologin -r -d '/' polkituser 2> /dev/null || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO

%config(noreplace) %{_sysconfdir}/pam.d/polkit
%dir %{_sysconfdir}/PolicyKit
%config(noreplace) %{_sysconfdir}/PolicyKit/PolicyKit.conf

%{_bindir}/*

%{_libdir}/lib*.so.*

%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

# see upstream design specification for why these permissions are necessary
%attr(2755,root,polkituser) %{_libexecdir}/polkit-grant-helper
%attr(4750,root,polkituser) %{_libexecdir}/polkit-grant-helper-pam
%attr(0775,polkituser,polkituser) %dir %{_localstatedir}/run/PolicyKit
%attr(0775,polkituser,polkituser) %dir %{_localstatedir}/lib/PolicyKit

%dir %{_datadir}/PolicyKit
%dir %{_datadir}/PolicyKit/policy
%{_datadir}/PolicyKit/config.dtd

%files devel
%defattr(-,root,root,-)

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files docs
%defattr(-,root,root,-)

%dir %{_datadir}/gtk-doc/html/polkit
%{_datadir}/gtk-doc/html/polkit/*

%changelog
* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-2%{?dist}
- Upstream release 0.5

* Fri Aug 10 2007 Matthias Clasen <mclasen@redhat.com> - 0.5-1.git20070731%{?dist}
- Add missing Requires (#251268)
- Own /etc/PolicyKit (#251274)

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731%{?dist}
- Update to git snapshot

* Fri Jul 27 2007 David Zeuthen <davidz@redhat.com> - 0.4-2%{?dist}
- Incorporate comments from package review (#245015)

* Wed Jul 25 2007 David Zeuthen <davidz@redhat.com> - 0.4-1%{?dist}
- Update to version 0.4.

* Tue Jun 19 2007 David Zeuthen <davidz@redhat.com> - 0.3-1%{?dist}
- Initial build.

